> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get loyalty cards

> Retrieve loyalty cards for the specified POS system and location.



## OpenAPI

````yaml /openapi.yaml get /pos/{posSystemId}/loyaltyCard/location/{posLocationId}
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /pos/{posSystemId}/loyaltyCard/location/{posLocationId}:
    get:
      tags:
        - Loyalty Cards
      summary: Get loyalty cards
      description: Retrieve loyalty cards for the specified POS system and location.
      operationId: PosLoyaltyCard_GetLoyaltyCardsByLocation
      parameters:
        - name: posSystemId
          in: path
          description: Pos System Id
          required: true
          schema:
            type: string
        - name: posLocationId
          in: path
          description: Pos Location Id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/LoyaltyCardGetDtoApiListResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/LoyaltyCardGetDtoApiListResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/LoyaltyCardGetDtoApiListResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/LoyaltyCardGetDtoApiListResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/LoyaltyCardGetDtoApiListResponse'
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    LoyaltyCardGetDtoApiListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/LoyaltyCardGetDto'
          nullable: true
        page:
          $ref: '#/components/schemas/PageModel'
      additionalProperties: false
    LoyaltyCardGetDto:
      type: object
      properties:
        id:
          type: string
          description: Loyalty card unique identifier
          nullable: true
        code:
          type: string
          description: Loyalty card unique identifier
          nullable: true
        url:
          type: string
          description: Loyalty card url
          nullable: true
        status:
          type: string
          description: Loyalty card status
          nullable: true
        name:
          type: string
          description: Loyalty card Name
          nullable: true
        title:
          type: string
          description: Loyalty card Title
          nullable: true
        description:
          type: string
          description: Loyalty card Description
          nullable: true
        type:
          type: string
          description: Loyalty card Type
          nullable: true
          example: pointcard or stampcard
        amountOfStamps:
          type: integer
          description: Loyalty card amount of Stamps
          format: int32
          nullable: true
        amountOfPoints:
          type: integer
          description: Loyalty card amount of Points
          format: int32
          nullable: true
        frontImage:
          type: string
          description: Loyalty card Front Image
          nullable: true
        logo:
          type: string
          description: Loyalty card Logo
          nullable: true
        locations:
          type: array
          items:
            $ref: '#/components/schemas/ExternalLocationGetDto'
          description: ''
          nullable: true
        loyaltyCardType:
          $ref: '#/components/schemas/LoyaltyCardTypes'
      additionalProperties: false
      description: Represent loyalty card
    PageModel:
      type: object
      properties:
        page:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        total:
          type: integer
          format: int32
      additionalProperties: false
    ExternalLocationGetDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        street:
          type: string
          nullable: true
        zip:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        website:
          type: string
          nullable: true
        hours:
          type: string
          nullable: true
        latitude:
          type: number
          format: double
        longitude:
          type: string
          nullable: true
        online:
          type: integer
          format: int32
        password:
          type: string
          nullable: true
      additionalProperties: false
    LoyaltyCardTypes:
      enum:
        - 1
        - 2
        - 3
        - 4
      type: integer
      format: int32
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````